OLD | NEW |
1 # Remove icons from the system icons | 1 # Remove icons from the system icons |
2 XDG_ICON_RESOURCE="`which xdg-icon-resource 2> /dev/null`" | 2 XDG_ICON_RESOURCE="`which xdg-icon-resource 2> /dev/null || true`" |
3 if [ ! -x "$XDG_ICON_RESOURCE" ]; then | 3 if [ ! -x "$XDG_ICON_RESOURCE" ]; then |
4 echo "Error: Could not find xdg-icon-resource" >&2 | 4 echo "Error: Could not find xdg-icon-resource" >&2 |
5 exit 1 | 5 exit 1 |
6 fi | 6 fi |
7 for icon in "@@INSTALLDIR@@/product_logo_"*.png; do | 7 for icon in "@@INSTALLDIR@@/product_logo_"*.png; do |
8 size="${icon##*/product_logo_}" | 8 size="${icon##*/product_logo_}" |
9 "$XDG_ICON_RESOURCE" uninstall --size "${size%.png}" "@@PACKAGE@@" | 9 "$XDG_ICON_RESOURCE" uninstall --size "${size%.png}" "@@PACKAGE@@" |
10 done | 10 done |
11 | 11 |
12 # Remove the entry from the system menu | 12 # Remove the entry from the system menu |
13 XDG_DESKTOP_MENU="`which xdg-desktop-menu 2> /dev/null`" | 13 XDG_DESKTOP_MENU="`which xdg-desktop-menu 2> /dev/null || true`" |
14 UPDATE_MENUS="`which update-menus 2> /dev/null`" | 14 UPDATE_MENUS="`which update-menus 2> /dev/null || true`" |
15 if [ ! -x "$XDG_DESKTOP_MENU" ]; then | 15 if [ ! -x "$XDG_DESKTOP_MENU" ]; then |
16 echo "Error: Could not find xdg-desktop-menu" >&2 | 16 echo "Error: Could not find xdg-desktop-menu" >&2 |
17 exit 1 | 17 exit 1 |
18 fi | 18 fi |
19 "$XDG_DESKTOP_MENU" uninstall @@INSTALLDIR@@/@@PACKAGE@@.desktop | 19 "$XDG_DESKTOP_MENU" uninstall @@INSTALLDIR@@/@@PACKAGE@@.desktop |
20 | 20 |
21 if [ -x "$UPDATE_MENUS" ]; then | 21 if [ -x "$UPDATE_MENUS" ]; then |
22 update-menus | 22 update-menus |
23 fi | 23 fi |
OLD | NEW |